#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hOpenPGP
version:              2.10.0
visibility:           public
id:                   hOpenPGP-2.10.0-3Z3k6MSd9bPDUIDGFBkFOH
key:                  hOpenPGP-2.10.0-3Z3k6MSd9bPDUIDGFBkFOH
license:              MIT
copyright:            2012-2024  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  eeaffffd98fd62522b7e3d836c5a0d37
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Crypton
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptonNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.10.0-3Z3k6MSd9bPDUIDGFBkFOH
depends:
    aeson-2.1.2.1-4CVR04TmBAJCS7ApojWVjB
    asn1-encoding-0.9.6-AWPfZS8i0LaJos8c1VHbgY
    attoparsec-0.14.4-x6mFqXglGqIZ8dJ9fSoCx base-4.17.2.1
    base16-bytestring-1.0.2.0-KtYitFsTneELM2hKpf73Fg
    bifunctors-5.6-LqQOrAhcsNeJLCUb6EshQ0 binary-0.8.9.1
    binary-conduit-1.3.1-I9Xm603dyM5AixsLOBLPzw bytestring-0.11.5.3
    bz2-1.0.1.1-8xp2C2yFBX3FZQhYoGwzo2
    conduit-1.3.6.1-4vOVNW9pwJYLaGSEKs1crY
    conduit-extra-1.3.6-4JqQ81QuGcPCR7VtiWJKw4 containers-0.6.7
    crypto-cipher-types-0.0.9-56ZYVGDFxwtG8TJEc7UjH2
    crypton-0.34-HHddr4tw8Dn7EDcNBY7DnJ
    errors-2.3.0-57jlwNH62yAKz2HJcCeOeD
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    incremental-parser-0.5.1-L085U80BrcSAeVUdq3hxKR
    ixset-typed-0.5.1.0-2MwezvpenmJkfUcJvsOI3
    lens-5.2.3-EqD4LSjkO4yUdDVMPM2Ph
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    monad-loops-0.4.3-KaRiS5mJjkQ1zBkxxbNC2Z
    nettle-0.3.1.1-1YbDn5AJWxHLXr6DClLuRr
    network-uri-2.6.4.2-2zvAvfFkls42ip9Twf1aZ
    openpgp-asciiarmor-0.1.2-H2Is03hn6185QOkHW9ZRc7
    prettyprinter-1.7.1-CoJGvDI2pdVEruBWSEYoT9
    resourcet-1.2.6-HbN0RV9wT5VCrWiuK0rjhN
    split-0.2.5-HpMLqVZDDpD6ikSNqZEnQ0 text-2.0.2 time-1.12.2
    time-locale-compat-0.1.1.5-1zJhxgkP2bvGiOhYof1wNA
    transformers-0.5.6.2 unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-HeJmB00BoxxBFwF5v8SCN
    zlib-0.6.3.0-hspY0wMfdmLMAtfFc4wlA

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

